@font-face {
    font-family: "Fredoka";
    src: url("../font/Fredoka-VariableFont_wdth,wght.woff2") format("woff2");
}
*, *::before, *::after {
    box-sizing: border-box;
}
:root {
    font-family: "Fredoka", sans-serif;
    line-height: 1.6;
    scroll-behavior: smooth;
    --bg: oklch(0.99 0.003 325);
    --primary: oklch(0.25 0.01 325);
}

body {
    margin: 0;
}
.container {
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;
}
header {
    /*Ook validatie fout, weet niet hoe het moet opgelost worden.*/
    background-color: var(--bg);
}
/* dit gaf een validatie fout*/
/*nav {*/
/*    ul{*/
/*        padding: 0;*/
/*        margin: 0;*/
/*        list-style: none;*/
/*        display: flex;*/
/*        flex-wrap: wrap;*/
/*        padding-left: -2rem;*/
/*    }*/

/*    a{*/
/*        padding-inline: 1rem;*/
/*        padding-block: 2rem;*/
/*        display: inline-block;*/
/*        color: inherit;*/
/*        text-decoration: none;*/
/*    }

}*/
/*Code hieronder geeft hetzelfde resultaat maar geen validatie fout.*/
nav ul {
    padding: 0;
    margin: 0;
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    /*Ook validatie fout, weet niet hoe het moet opgelost worden.*/
    padding-left: -2rem;
}

nav a {
    padding-inline: 1rem;
    padding-block: 2rem;
    display: inline-block;
    color: inherit;
    text-decoration: none;
}

.row {
    display: flex;
    gap: 2rem;
    > div {
        border: dashed 1px oklch(0.7529 0.3054 144);
        padding: 1rem;
        flex-grow: 1;
        &:first-child {
            flex-grow: 2;
        }


    }
}

.visually-hidden:not(:focus):not(:active) {
    clip: rect(0 0 0 0);
    clip-path: inset(50%);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}
main {
    nav {
        --text: oklch(0.99 0.003 325);
        --bg: oklch(0.4706 0.2412 43.41);
    }

    nav a {
        color: var(--text);
        background-color: var(--bg);
        transition: color .2s ease-in-out, background-color .2s;

        &:hover,
        &:focus-visible {
            outline: 0.125rem solid oklch(0.5029 0.2585 286.94);
            background-color: oklch(0.2059 0.1006 286.94);
        }
    }
    nav li:first-child {
        margin-inline-end: auto;
    }
    nav li:first-child a {
    background-color: var(--text);
    color: oklch(0 0.0069 330.35);
}
    .secondary-nav {
        background-color: oklch(0.4706 0.2412 43.41);
        color: var(--text);
        align-content: flex-end;
        &:first-child {
            align-content: flex-start;
            color: var(--primary);
            background-color: oklch(0.99 0.003 325);
        }
    }

}
.cards {
    gap: 2rem;
    display: flex;
    margin: 0;
    padding: 0;
    flex-wrap: wrap;
}
.cards li {
    display: flex;
    flex-direction: column;
    position: relative;
    background: oklch(0.99 0.003 325);
    border-radius: 10px;
    box-shadow: 0 0.1rem 0.4rem oklch(0 0.0069 330.35);
    overflow: hidden;
    width: 350px;
    transition: transform 0.2s ease, box-shadow 0.2s ease;
}
.cards li img {
    order: -1;
}
.overlay-link {
    position: absolute;
    inset: 0;
    text-indent: 100%;
    white-space: nowrap;
    overflow: hidden;
}
.cards li a:not(.overlay-link) {
    z-index: 1;
}
.cards li:hover {
    transform: translateY(-0.3rem);
    box-shadow: 0 0.4rem 0.8rem oklch(0 0 0 / 15%);
}

